$(window).on("load", function (e) {
	// Loop through our ProGallery and give each trigger link a unique ID
	$('#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem a').attr('id', function(i) {
		return '%id=gallery_id%'+(i+1);
	});

	// Loop through our ProGallery and give each hidden video a unique ID
	$('#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem.hiddenVideo').attr('id', function(i) {
		return 'video-%id=gallery_id%'+(i+1);
	});

	// Loop through our ProGallery and give each 'isVideoLink' thumbnail a unique data attribute to match the corresponding video div
	$('#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem a.isVideoLink').attr('data-html', function(i) {
		return '#video-%id=gallery_id%'+(i+1);
	});

	%[if %("%id=lightcase_toggle%" == "true")% ]%
	// LightCase code
	$('#%id=gallery_id% ul.proGalleryThumbs .proGalleryItem a').attr('data-rel','lightcase-%id=gallery_id%:%id%');
	$('#%id=gallery_id% ul.proGalleryThumbs .proGalleryItem a[data-rel^=lightcase-%id=gallery_id%]').lightcase({
		idPrefix: '%id=gallery_id%-',
		classPrefix: '%id=gallery_id%-',
		transition: '%id=lightcase_transition%',
		fullScreenModeForMobile: %id=fullscreen_mobile%,
		showTitle: %id=lightcase_titles%,
		showCaption: %id=lightcase_captions%,
		showSequenceInfo: %id=lightcase_sequences%,
		navigateEndless: %id=navigate_endless%,
		flash: {
			width: %id=lightbox_video_size[0]%,
			height: %id=lightbox_video_size[1]%
		},
		video: {
			width: %id=lightbox_video_size[0]%,
			height: %id=lightbox_video_size[1]%
		},
		typeMapping: {
			'image': 'webp,mypic,jpg,jpeg,gif,png,bmp',
			'flash': 'swf',
			'video': 'mp4,mov,ogv,ogg,webm',
			'iframe': 'html,php',
			'ajax': 'json,txt',
			'inline': '#'
		},

		%[if %("%id=lightcase_slideshow%" == "true")% ]%
		slideshow: true,
		slideshowAutoStart: true,
		%[endif]%

		timeout: %id=lightcase_timeout%,
		swipe: true,
		labels: {
			'errorMessage': '%id=lightcase_errorlabel%',
			'sequenceInfo.of': ' %id=lightcase_sequencelabel% ',
			'close': '%id=lightcase_closelabel%',
			'navigator.prev': '%id=lightcase_prevlabel%',
			'navigator.next': '%id=lightcase_nextlabel%',
			'navigator.play': '%id=lightcase_playlabel%',
			'navigator.pause': '%id=lightcase_pauselabel%'
		},
		onStart : {
			bar: function() {
				%[if %( %( "%id=lightcase_download%" == "true")% || %( "%id=lightcase_pinterest%" == "true" )% )%]%
				// Pinterest sharing and download buttons, within the lightbox, only for images
				var url = window.location;
				var img = $('#%id=gallery_id%-content img')[0].src;
				var alt = $('#%id=gallery_id%-content img').attr('alt');
				$("#social-%id=gallery_id%").remove(); // Hide any buttons already open
				$('body').append('<div id="social-%id=gallery_id%" class="lightcase-social-icons"><a class="proGalleryDownload" href="'+img+'" download>%id=lightcase_downloadmarkup%</a><a class="proGalleryPinterest" href="https://pinterest.com/pin/create/button/?url='+url+'&media='+img+'&description='+alt+'" target="_blank">%id=lightcase_pinterestmarkup%</a></p>');
				%[endif]%
			}
		},
		onCleanup : {
		qux: function() {
			$("#%id=gallery_id%-overlay, #%id=gallery_id%-loading, #%id=gallery_id%-case, #%id=gallery_id%-nav, .%id=gallery_id%-icon-close, #social-%id=gallery_id%").remove();
		}
		},
				maxWidth: %id=lightcase_maxwidth%,
		maxHeight: %id=lightcase_maxheight%,
				shrinkFactor: .%id=lightcase_shrinkage%
	});
	%[endif]%

	%[if %("%id=lightcase_toggle%" == "false")% ]%
	$('#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem a').each(function() {
		var altlink = $(this).attr('data-alt-link'); // getter
		$(this).attr("href",altlink); // setter
	});
	%[endif]%

	%[if %("%id=title_tooltips%" == "false")% ]%
	// If title tooltips are disabled, hide the title attributes on mouseover using jQuery
    $("#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem a").hover(function(){
        $(this).attr("tooltip-data", $(this).attr("title"));
        $(this).removeAttr("title");
    }, function(){
        $(this).attr("title", $(this).attr("tooltip-data"));
        $(this).removeAttr("tooltip-data");
    });
	%[endif]%

	// Trigger first item
	$(".%id=gallery_id%Trigger").click(function(e){
		e.preventDefault();
		$("#%id=gallery_id% ul.proGalleryThumbs li.proGalleryItem:first-child a").trigger("click");
		return false;
	});

	// Custom links on the same page, to any gallery item
	$("[data-%id=gallery_id%]").click(function(e) {
		e.preventDefault();
	    var galleryitem = $(this).data("%id=gallery_id%")
	    $("#%id=gallery_id%" + galleryitem).trigger("click");
	    console.log(galleryitem);
	});

	// Function to trigger a gallery item on page load
	if ( window.location.hash ) {
	    $(window.location.hash).click(); // Clicks on element specified by hash
	}
});

%[if %("%id=randomise_items%" == "true")% ]%
	$(document).ready(function(){
		$.fn.randomize = function(selector){
			(selector ? this.find(selector) : this).parent().each(function(){
				$(this).children(selector).sort(function(){
					return Math.random() - 0.5;
				}).detach().appendTo(this);
			});

			return this;
		};
		$('#%id=gallery_id%').randomize('li');
	});
%[endif]%
